## NAME

v.cutter - Polygon Cookie Cutter
(GRASS Vector Program)

## SYNOPSIS

v.cutter
v.cutter help
v.cutter [-o] [-l] [-a] [-q] cutter=name input=name output=name type=name

## DESCRIPTION

This program provides a way to generate new maps based on an intersection of two existing maps. It in effect provides a way to create masked versions of vector maps. Lines, sites, and polygons are clipped correctly. By default v.cutter will extract line-type arcs.

## OPTIONS

### Flags:

-q
  Run quietly. Don't print percent information.
-o
  Only intersect labeled areas. Intersection of unlabeled areas may not be dependable. The flag is meaningful only for type=area or type=both.
-a
  Extract area-edge arc types only. The flag is meaningful only for type=line or type=both. By default the program uses both area-edge and line arc types.
-l
  Extract line arc types only. The flag is meaningful only for type=line or type=both. By default the program uses both area-edge and line arc types.

### Parameters:

cutter=mapname
  Name of the binary vector file to use for the cookie cutter.
input=mapname
  Name of the binary vector file which is to be cut.
output=mapname
  Name of new vector file to be created.
type=object type
  Type of object (area, line or both) to extract. The default is to extract lines.

## NOTES

If v.cutter is only used to extract lines then it automatically runs v.support on the output file. If v.cutter is used to extract polygons then the user may need to run v.spag -i after running v.cutter to remove identical lines.

If type=area then the edge created by the cutter file will appear on closed polygons in the output. If type=line then the edge does not appear in the output.

The attributes of the output map will be generated from the attributes of the input map.

## BUGS

There are a few rare situations that are not currently handled correctly. These mostly involve nodes or vertices intersecting exactly with lines of the opposite map. You will know you have hit one of these cases because a lot of strange text will start spitting out.

Borders between areas with the same attributes are not dissolved.

There are many places where the code could be optimized greatly.

## SEE ALSO

v.spag
v.digit
v.support
v.clean

## AUTHOR

Dave Gerdes, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/04/15 15:18:16 $